[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

DataWatch Monarch Business Intelligence (BI) v5.1 Blind SQL injection



DataWatch Monarch BI v5.1 admin section blind SQL injection 

Class:  Input Validation Error
Remote: Yes
Local:  No
Published: 26/06/2012
Credit:	Raymond Rizk of Dionach Limited (vulns@xxxxxxxxxxx)

Vulnerable: DataWatch Monarch BI v5.1

DataWatch's  Monarch BI client section is prone to a blind SQL injection vulnerability because it fails to sproperly sanitize user-supplied input before using it in an SQL query. 

An attacker may leverage these issues to access confidential data stored in the database.

DataWatch Monarch BI v5.1 is known to be vulnerable. Other versions may also be vulnerable.

TAttackers can use a browser to exploit this issue.

Vendor informed and a patch was released on 12/07/2012. Vendor recommends installing the latest security updates.